#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libxfce4ui
Version		:	4.14.1
Release		:	17.0.10.rel%{?dist}

Summary		:	GTK+ 2 widgets that are used by other Xfce applications. 
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://archive.xfce.org/src/xfce/libxfce4ui

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	gobject-introspection
BuildRequires	:	glib-devel
BuildRequires	:	glade
BuildRequires	:	vala
BuildRequires	:	xfconf
#-----------------------------------------------------------------------------
%description
Replacement of the old libxfcegui4 library. It is used to
share commonly used Xfce widgets among the Xfce applications.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS
%{_includedir}/xfce4/%{name}-{1,2}/%{name}/*.h
%{_includedir}/xfce4/libxfce4kbd-private-{2,3}/libxfce4kbd-private/*.h
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
%{_bindir}/xfce4-about
%{_libdir}/glade/modules/%{name}*.{la,so*}
%{_libdir}/%{name}-{1,2}.{la,so*}
%{_libdir}/libxfce4kbd-private-{2,3}.{la,so*}
%{_libdir}/pkgconfig/%{name}-{1,2}.pc
%{_libdir}/pkgconfig/libxfce4kbd-private-{2,3}.pc
%{_libdir}/girepository-1.0/%{name}-*.typelib
%{_datadir}/gir-1.0/%{name}-*.gir
%{_datadir}/glade/catalogs/%{name}-2.xml
%{_datadir}/glade/pixmaps/hicolor/*/actions/widget-%{name}-*.png
%{_datadir}/gtk-doc/html/%{name}/*.{css,html,png,sgml}
%{_datadir}/gtk-doc/html/%{name}/*.devhelp2
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/applications/xfce4-about.desktop
%{_datadir}/icons/hicolor/*/apps/xfce4-logo.png
%{_datadir}/vala/vapi/%{name}-*.{deps,vapi}

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-introspection=yes			\
	--enable-debug=minimum				\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
%{__chmod} +x %{buildroot}/%{_libdir}/*.so.*

#-----------------------------------------------------------------------------
%changelog
